Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.relate
Class RelateOp

    java.lang.Object
      com.vividsolutions.jts.operation.GeometryGraphOperation
          com.vividsolutions.jts.operation.relate.RelateOp

public class RelateOp
extends GeometryGraphOperation

Implements the SFS `relate()` operation on two `Geometry`s. This class supports specifying a custom `BoundaryNodeRule` to be used during the relate computation.

Note: custom Boundary Node Rules do not (currently) affect the results of other Geometry methods (such as `Geometry.getBoundary()`. The results of these methods may not be consistent with the relationship computed by a custom Boundary Node Rule.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.operation.GeometryGraphOperation
`arg, cga, li, resultPrecisionModel`

Constructor Summary
`RelateOp(Geometry g0, Geometry g1)` Creates a new Relate operation, using the default (OGC SFS) Boundary Node Rule.
`RelateOp(Geometry g0, Geometry g1, BoundaryNodeRule boundaryNodeRule)` Creates a new Relate operation with a specified Boundary Node Rule.

Method Summary
`IntersectionMatrix` | `getIntersectionMatrix()` Gets the IntersectionMatrix for the spatial relationship between the input geometries.
`static IntersectionMatrix` | `relate(Geometry a, Geometry b)` Computes the `IntersectionMatrix` for the spatial relationship between two `Geometry`s, using the default (OGC SFS) Boundary Node Rule
`static IntersectionMatrix` | `relate(Geometry a, Geometry b, BoundaryNodeRule boundaryNodeRule)` Computes the `IntersectionMatrix` for the spatial relationship between two `Geometry`s using a specified Boundary Node Rule.

Methods inherited from class com.vividsolutions.jts.operation.GeometryGraphOperation
`getArgGeometry, setComputationPrecision`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelateOp

    public RelateOp(Geometry g0,
                    Geometry g1)

  Creates a new Relate operation, using the default (OGC SFS) Boundary Node Rule.

Parameters:
  `g0` - a Geometry to relate
  `g1` - another Geometry to relate

### RelateOp

    public RelateOp(Geometry g0,
                    Geometry g1,
                    BoundaryNodeRule boundaryNodeRule)

  Creates a new Relate operation with a specified Boundary Node Rule.

Parameters:
  `g0` - a Geometry to relate
  `g1` - another Geometry to relate
  `boundaryNodeRule` - the Boundary Node Rule to use

Method Detail

### relate

    public static IntersectionMatrix relate(Geometry a,
                                            Geometry b)

  Computes the `IntersectionMatrix` for the spatial relationship between two `Geometry`s, using the default (OGC SFS) Boundary Node Rule

  Parameters:
    `a` - a Geometry to test
    `b` - a Geometry to test
  Returns:
    the IntersectonMatrix for the spatial relationship between the geometries

### relate

    public static IntersectionMatrix relate(Geometry a,
                                            Geometry b,
                                            BoundaryNodeRule boundaryNodeRule)

  Computes the `IntersectionMatrix` for the spatial relationship between two `Geometry`s using a specified Boundary Node Rule.

  Parameters:
    `a` - a Geometry to test
    `b` - a Geometry to test
    `boundaryNodeRule` - the Boundary Node Rule to use
  Returns:
    the IntersectonMatrix for the spatial relationship between the input geometries

### getIntersectionMatrix

    public IntersectionMatrix getIntersectionMatrix()

  Gets the IntersectionMatrix for the spatial relationship between the input geometries.

  Returns:
    the IntersectonMatrix for the spatial relationship between the input geometries

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD